## GnomeDbDataCellRendererTextual

GnomeDbDataCellRendererTextual — Cell renderer for textual data

##

# Synopsis

    struct      GnomeDbDataCellRendererTextual;
    struct      GnomeDbDataCellRendererTextualClass;
    struct      GnomeDbDataCellRendererTextualPrivate;
    GtkCellRenderer* gnome_db_data_cell_renderer_textual_new
                                                (GdaDataHandler *dh,
                                                 GType type,
                                                 const gchar *options);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----GtkCellRendererText
                               +----GnomeDbDataCellRendererTextual

## Properties

      "data-handler"         GdaDataHandler       : Write / Construct Only
      "options"              gchararray           : Write
      "to-be-deleted"        gboolean             : Write
      "type"                 GType                : Write / Construct Only
      "value"                gpointer             : Write
      "value-attributes"     GdaValueAttribute    : Read / Write

## Signal Prototypes

    "changed"   void        user_function      (GnomeDbDataCellRendererTextual *dbdatacellrenderertextual,
                                                gchar *arg1,
                                                GValue *arg2,
                                                gpointer user_data);

## Description

## Details

### struct GnomeDbDataCellRendererTextual

    struct GnomeDbDataCellRendererTextual;

### struct GnomeDbDataCellRendererTextualClass

    struct GnomeDbDataCellRendererTextualClass {

    	GtkCellRendererTextClass               parent_class;

    	void (* changed) (GnomeDbDataCellRendererTextual  *cell_renderer_textual,
    			  const gchar         *path,
    			  const GValue      *new_value);
    };

### struct GnomeDbDataCellRendererTextualPrivate

    struct GnomeDbDataCellRendererTextualPrivate;

### gnome_db_data_cell_renderer_textual_new ()

    GtkCellRenderer* gnome_db_data_cell_renderer_textual_new
                                                (GdaDataHandler *dh,
                                                 GType type,
                                                 const gchar *options);

Creates a new GnomeDbDataCellRendererTextual. Adjust how text is drawn using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "text" property on the cell renderer to a string value in the model, thus rendering a different string in each row of the GtkTreeView

`dh` : | a GdaDataHandler object, or `NULL`
`type` : | the GType being edited
`options` : | options as a string
Returns : | the new cell renderer

## Properties

"`data-handler`" (GdaDataHandler : Write / Construct Only) |
"`options`" (gchararray : Write) |
"`to-be-deleted`" (gboolean : Write) |
"`type`" (GType : Write / Construct Only) |
"`value`" (gpointer : Write) | GValue to render.
"`value-attributes`" (GdaValueAttribute : Read / Write) |

## Signals

### The "changed" signal

    void        user_function                  (GnomeDbDataCellRendererTextual *dbdatacellrenderertextual,
                                                gchar *arg1,
                                                GValue *arg2,
                                                gpointer user_data);

`dbdatacellrenderertextual` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.